Bug 117107 - system-config-mouse still creates /dev/psaux entry
system-config-mouse still creates /dev/psaux entry
Product: Fedora
Classification: Fedora
Component: system-config-mouse (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Depends On:
  Show dependency treegraph
Reported: 2004-02-28 12:12 EST by Alexandre Oliva
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-09 10:54:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2004-02-28 12:12:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040217

Description of problem:
system-config-mouse still probes/creates a /dev/psaux entry, even
though it no longer works for PS/2 mice.  It even overrides the
correct /dev/input/mice entry created by system-config-display --reconfig.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.system-config-display --reconfig # creates correct /dev/input/mice entry
2.system-config-mouse # choose 2- or 3-button PS/2, auto-detected

Actual Results:  After 1., X works.  After 2., it breaks.

Expected Results:  2. shouldn't have broken XF86Config

Additional info:
Comment 1 Robert Vojta 2004-03-06 14:14:55 EST
FYI ...

- installed (+ all updates) FC1
- Tracpoint (internal PS/2) and USB mouse works fine, first try
- update (via yum) to the development tree (1.90)
- mouse reconfigured with new system-config-mouse
- trackpoint is not working, usb mouse is not working
- graphical boot is not working
- X is not working

- FC1 (2.4.x) -> FC 1.90 (2.6.3)

There is something nasty with mouse detection in 1.90, because when
I plug/unplug mouse (during XFree session, during boot, ...), kudzu
didn't recognize my USB mouse which is not working.

This is perfectly working in FC1.

Comment 2 Robert Vojta 2004-03-06 14:31:30 EST
Wrong place for brainstorming, but what do you think about
system-config-mouse that is capable to handle more than one mouse?

Good idea for laptop users (like me), because I have
trackpoint/touchpad  on all laptops with external USB mouse ...
Comment 3 Robert Vojta 2004-03-07 13:05:17 EST
BTW I found the problem - rawhide loads the module ohci_ecd and my
USB works with uhci-ecd only.
Comment 4 Brent Fox 2004-03-09 10:54:22 EST
system-config-mouse has been removed from the latest rawhide trees. 
This is because all PS/2 and USB mice should use /dev/input/mice now,
and there is really no longer a need to "configure" mice.  Mice should
essentially now be a "zero configuration" device.  This does mean that
we are dropping support for serial mice, but the benefits outweigh the

The current setup means that there is no mouse screen necessary in the
installer or firstboot, and removing system-config-mouse means one
less package that we have to maintain.  And as long as the correct
modules are being loaded, both PS/2 and USB mice should work at the
same time on the same machine.  This is working for me on my test

Anyway, I'm going to close the bug report since system-config-mouse is
no longer in the tree.

Note You need to log in before you can comment on or make changes to this bug.